Skip to content

Quickstart ​

Welcome to Mureka API! With Mureka API, enterprises and developers can leverage advanced multimodal models to effortlessly generate high-quality and imaginative audio.

Set Up an account ​

To get started, sign up for an account by clicking "Sign In" on the Mureka platform.

Create an API key ​

After registration, you will have access to the dashboard. Navigate to the "API Keys" tab to view and manage your API keys. Remember that your API key is a secret! Do not share it with others or expose it in any client-side code (browsers, apps).

Servers ​

https://api.mureka.ai

Authentication ​

The Mureka API uses API keys for authentication. All API requests should include your API key in an Authorization HTTP header as follows:

shell
Authorization: Bearer MUREKA_API_KEY

Making requests ​

You can paste the command below into your terminal to run your first API request. Make sure to replace $MUREKA_API_KEY with your secret API key.

shell
curl https://api.mureka.ai/v1/song/generate \
  -H "Authorization: Bearer $MUREKA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "lyrics": "[Verse]\nIn the stormy night, I wander alone\nLost in the rain, feeling like I have been thrown\nMemories of you, they flash before my eyes\nHoping for a moment, just to find some bliss",
    "model": "auto",
    "prompt": "r&b, slow, passionate, male vocal"
  }'

This request will generate a music creation task. You should get a response back that resembles the following:

json
{
  "id": "1436211",
  "created_at": 1677610602,
  "model": "mureka-6",
  "status": "preparing",
  "trace_id": "1e94aba5a2de4cc4bff54a2813c8d36c"
}

When the request fails, an HTTP status code of 400 or greater will be returned, along with an error message like the following:

json
{
  "error": {
    "message": "Invalid Authentication"
  },
  "trace_id": "1e94aba5a2de4cc4bff54a2813c8d36c"
}

Troubleshooting ​

In addition to error codes returned from API responses. You can also inspect the trace_id for tracking the request from the API response, which can be used for troubleshooting. We recommend logging the trace_id in production deployments for efficient troubleshooting with our support team if needed.